src/main/java/com/company/model/kitchen/Order.java
package com.company.model.kitchen;

import com.company.model.kitchen.dishes.Dish;
import com.company.util.Utils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class Order {
    private final int creatorID;
    private HashMap<Dish, Integer> dishes;
    private  int totalPrice=0;
    private int id;
    private int tableNumber;
    private long orderCreateTime;
    private String orderStartCreateString;
    private long orderStartCookingTime=-1;
    private String orderStartCookingTimeString;
    private long orderEndCookingTime=-1;
    private String orderEndCookingTimeString;
    private long orderToClientTime=-1;
    private String orderToClientTimeString;
    private int cookID=-1;
    private boolean done;
    private Orderstatus orderstatus;

    public enum Orderstatus{
        INQUEUE,
        INWORK,
        ISREADY,
        ISCLOSE
    }
    public Order(int userID){
        this.creatorID = userID;
        initDishes();
    }

    public Order(int userID,
                 HashMap<Dish, Integer> dishes,
                 int id, int tableNumber,
                 long orderCreateTime,
                 long orderStartCookingTime,
                 long orderEndCookingTime,
                 long orderToClientTime,
                 boolean done,
                 Order.Orderstatus orderstatus,
                 int cookID) {
        this.creatorID = userID;
        this.dishes = dishes;
        this.id = id;
        this.tableNumber = tableNumber;
        this.orderCreateTime = orderCreateTime;
        this.orderStartCookingTime = orderStartCookingTime;
        this.orderEndCookingTime = orderEndCookingTime;
        this.orderToClientTime = orderToClientTime;
        this.done = done;
        this.orderstatus = orderstatus;
        this.cookID=cookID;
    }

    public long getOrderCreateTime() { return orderCreateTime; }
    public long getOrderStartCookingTime() { return orderStartCookingTime; }
    public long getOrderStartCookingTimeLong(){
        return orderStartCookingTime;
    }
    public long getOrderEndCookingTimeLong(){
        return orderEndCookingTime;
    }
    public Orderstatus getOrderstatus() {
        return orderstatus;
    }
    public long getOrderToClientTime() {
        return orderToClientTime;
    }
    public String getOrderToClientTimeString() {
        if (orderToClientTime==-1){return "---";}
        else {
            String result=Utils.formatTimeDate(orderToClientTime);
        this.orderToClientTimeString =result;
        return result;
        }
    }
    public boolean isDone() {
        return done;
    }
    public String getOrderCreateTimeString(){
        String result= Utils.formatTimeDate(orderCreateTime);
        this.orderStartCreateString =result;
        return result;
    }
    public int getCookID() {return cookID; }
    public void setCookID(int cookID) { this.cookID = cookID; }
    public void setDone(boolean done) {
        this.done = done;
    }
    public void setOrderstatus(Orderstatus orderstatus) {
        this.orderstatus = orderstatus;
    }
    public void setOrderToClientTime(long orderToClientTime) {
        this.orderToClientTime = orderToClientTime;
    }
    public void setOrderCreateTime(long orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }
    public void setOrderStartCookingTime(long orderStartCookingTime) {
        this.orderStartCookingTime = orderStartCookingTime;
    }
    public String getOrderStartCookingTimeString(){
        if(orderStartCookingTime==-1){
            return "---";
        }else{
            String result=Utils.formatTimeDate(orderStartCookingTime);
            this.orderStartCookingTimeString =result;
            return result;
        }
    }
    public String getOrderTimeFromCreating(){
        Long curTime=System.currentTimeMillis();
        Long facticalLiveTime=(curTime-orderCreateTime);
        long second = (facticalLiveTime / 1000) % 60;
        long minute = (facticalLiveTime / (1000 * 60)) % 60;
        long hour = (facticalLiveTime / (1000 * 60 * 60)) % 24;
        String time = String.format("%02d:%02d:%02d", hour, minute, second);
        return time;
    }
    public String getTimeFactCookingString(){
        String result=new String();
        if(orderStartCookingTime==-1|| orderEndCookingTime==-1){
            result="---";
            return result;
        }else{
        long delta=(orderEndCookingTime-orderStartCookingTime);
            long second = (delta / 1000) % 60;
            long minute = (delta / (1000 * 60)) % 60;
            long hour = (delta / (1000 * 60 * 60)) % 24;
        result=String.format("%02d:%02d:%02d", hour, minute, second);
        return result;}
    }
    public void setOrderEndCookingTime(long orderEndCookingTime) {
        this.orderEndCookingTime = orderEndCookingTime;
    }
    public String getOrderEndCookingTime(){
        String result=new String();
        if(orderEndCookingTime==-1){
            result="---";
            return result;
        }else{
        result=Utils.formatTimeDate(orderEndCookingTime);
        this.orderEndCookingTimeString =result;
        return result;}
    }
    public int getTableNumber() {return tableNumber; }
    public void setTableNumber(int tableNumber) { this.tableNumber = tableNumber;}
    public int getId() { return id; }
    public void setId(int id) { this.id = id; }
    public HashMap<Dish, Integer> getDishes() {
        return dishes;
    }
    public int getTotalPrice(){
        int counter=0;
        if (dishes!=null){
        for(Map.Entry e:dishes.entrySet()){
            counter+= (int) e.getValue()*((Dish)e.getKey()).getPrice();
        }
        return counter;}
        else return counter;
    }
    public int getRublePrice(){
        return getTotalPrice()/100;
    }
    public int getPennyPrice(){
        return getTotalPrice()%100;
    }
    public int getCreatorID() {
        return creatorID;
    }
    public void putDish(Dish dish,Integer count){
        if (dishes==null){
            dishes=new HashMap<>();
            dishes.put(dish,count);
        }
        else if (dishes.keySet().contains(dish)){
            int newCount=dishes.get(dish)+count;
            if(newCount<=0){
                dishes.remove(dish);
            }else {
            dishes.put(dish,newCount);}
        }else if(count<=0){}
        else {
            dishes.put(dish,count);
        }
    }
    public boolean isEmpty() {
        return dishes.isEmpty();
    }
    public int getTotalCookingTime() {
        int cookingTime = 0;
        if (!isEmpty()){
            for(Map.Entry entry:dishes.entrySet()){
                cookingTime+=((Dish)entry.getKey()).getDishCookingTime();
            }
        }
        return cookingTime;
    }
    public int getCookingTimeMinutes() {
        return getTotalCookingTime()%60;
    }
    public int getCookingTimeHours() {
         return getTotalCookingTime()/60;
    }
    protected void initDishes(){dishes=new HashMap<>();}
    public Integer[][] getDishesArray(){
        Integer [][] array=new Integer[2][dishes.size()];
        int i=0;
        for(Map.Entry<Dish,Integer> e:dishes.entrySet()){
            array[0][i]=e.getKey().getId();
            array[1][i]=e.getValue();
            i++;
        }
        return array;

    }
}

src/main/java/com/company/servlets/servlet/AdminLookOrdersServlet.java
package com.company.servlets.servlet;

import com.company.model.Restaurant;
import com.company.model.kitchen.Order;
import com.company.model.kitchen.dishes.Dish;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class AdminLookOrdersServlet extends HttpServlet {
    private Restaurant restaurant;
    @Override
    public void init() throws ServletException {

        final Object restaurant = getServletContext().getAttribute("restaurant");
        if (restaurant == null) {
            throw new IllegalStateException("You're restaurant does not initialize! )))))");
        } else {
            this.restaurant = (Restaurant) getServletContext().getAttribute("restaurant");
        }
    }
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setCharacterEncoding("UTF-8");
        req.setAttribute("restaurant",restaurant);
        req.getRequestDispatcher("/WEB-INF/view/admin_look_orders.jsp").forward(req, resp);
    }
}

src/main/java/com/company/servlets/servlet/AdminStatisticPageServlet.java
package com.company.servlets.servlet;

import com.company.model.Restaurant;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class AdminStatisticPageServlet extends HttpServlet {
    private Restaurant restaurant;
    @Override
    public void init() throws ServletException {

        final Object restaurant = getServletContext().getAttribute("restaurant");
        if (restaurant == null) {
            throw new IllegalStateException("You're restaurant does not initialize! )))))");
        } else {
            this.restaurant = (Restaurant) getServletContext().getAttribute("restaurant");
        }
    }
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setCharacterEncoding("UTF-8");
        req.setAttribute("restaurant",restaurant);
        req.getRequestDispatcher("/WEB-INF/view/admin_statistic_page.jsp").forward(req, resp);
    }
}

src/main/java/com/company/servlets/servlet/DishesMenuEditorServlet.java
package com.company.servlets.servlet;

import com.company.dao.Menu;
import com.company.model.Restaurant;


import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.concurrent.atomic.AtomicReference;

public class DishesMenuEditorServlet extends HttpServlet {
    private Restaurant restaurant;
    @Override
    public void init() throws ServletException {
        final Object restaurant = getServletContext().getAttribute("restaurant");
        if (restaurant == null) {
            throw new IllegalStateException("You're restaurant does not initialize! )))))");
        } else {
            this.restaurant = (Restaurant) getServletContext().getAttribute("restaurant");
        }
    }
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        req.setAttribute("menu", restaurant.getMenu());
        req.getRequestDispatcher("/WEB-INF/view/dishes_menu_editor.jsp").forward(req, resp);
    }
}

src/main/java/com/company/servlets/servlet/MenuForOrderingServlet.java
package com.company.servlets.servlet;

import com.company.model.Restaurant;
import com.company.model.kitchen.dishes.Dish;
import com.company.model.kitchen.dishes.DishType;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;

public class MenuForOrderingServlet extends HttpServlet {

    private ArrayList<Dish> menuHot;
    private ArrayList<Dish> menuSalat;
    private ArrayList<Dish> menuSoup;
    private ArrayList<Dish> menuGarnish;
    private ArrayList<Dish> menuHotDrink;
    private ArrayList<Dish> menuCouldDrink;


    private Restaurant restaurant;
    @Override
    public void init() throws ServletException {

        final Object restaurant = getServletContext().getAttribute("restaurant");
        if (restaurant == null) {
            throw new IllegalStateException("You're restaurant does not initialize! )))))");
        } else {
            this.restaurant = (Restaurant) getServletContext().getAttribute("restaurant");
            System.out.println("меню созданного ресторана  "+this.restaurant.getMenu());
        }
        menuHot= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.HOT);
        menuSalat= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.SALAD);
        menuSoup= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.SOUP);
        menuGarnish= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.GARNISH);
        menuHotDrink= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.HOT_DRINK);
        menuCouldDrink= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.COULD_DRINK);
    }
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        req.setAttribute("menu", this.restaurant.getMenu());
        req.setAttribute("queueOrders", restaurant.getOrdersListFromDd());
        req.setAttribute("menuHot", menuHot);
        req.setAttribute("menuSalat", menuSalat);
        req.setAttribute("menuSoup", menuSoup);
        req.setAttribute("menuGarnish", menuGarnish);
        req.setAttribute("menuHotDrink", menuHotDrink);
        req.setAttribute("menuCouldDrink", menuCouldDrink);
        req.getRequestDispatcher("/WEB-INF/view/menu_for_ordering.jsp").forward(req, resp);

    }

}

src/main/java/com/company/servlets/servlet/TableMenuServlet.java
package com.company.servlets.servlet;

import com.company.model.Restaurant;
import com.company.model.User;
import com.company.model.kitchen.Order;
import com.company.model.kitchen.dishes.Dish;
import com.company.model.kitchen.dishes.DishType;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;

public class TableMenuServlet extends HttpServlet {
    private ArrayList<Dish> menuHot;
    private ArrayList<Dish> menuSalat;
    private ArrayList<Dish> menuSoup;
    private ArrayList<Dish> menuGarnish;
    private ArrayList<Dish> menuHotDrink;
    private ArrayList<Dish> menuCouldDrink;
    private Restaurant restaurant;
    @Override
    public void init() throws ServletException {

        final Object restaurant = getServletContext().getAttribute("restaurant");
        if (restaurant == null) {
            throw new IllegalStateException("You're restaurant does not initialize! )))))");
        } else {
            this.restaurant = (Restaurant) getServletContext().getAttribute("restaurant");
        }

        menuHot= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.HOT);
        menuSalat= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.SALAD);
        menuSoup= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.SOUP);
        menuGarnish= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.GARNISH);
        menuHotDrink= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.HOT_DRINK);
        menuCouldDrink= (ArrayList<Dish>) this.restaurant.getMenu().getMenuByType(DishType.COULD_DRINK);
    }
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setCharacterEncoding("UTF-8");
        req.setAttribute("menu", this.restaurant.getMenu());
        req.setAttribute("queueOrders", restaurant.getOrdersListFromDd());
        req.setAttribute("menuHot", menuHot);
        req.setAttribute("menuSalat", menuSalat);
        req.setAttribute("menuSoup", menuSoup);
        req.setAttribute("menuGarnish", menuGarnish);
        req.setAttribute("menuHotDrink", menuHotDrink);
        req.setAttribute("menuCouldDrink", menuCouldDrink);
        req.setAttribute("restaurant",restaurant);
        req.getRequestDispatcher("/WEB-INF/view/table_menu.jsp").forward(req, resp);

    }

}

src/main/webapp/WEB-INF/view/_dishInfo.jsp
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<div class="orderShot">
    <c:if test="${dish.isActive() eq 1}" >
        <img src="${dish.dishImagePath}" alt="картинка блюда" height="100">
        <li>Название: <c:out value="${dish.dishName}"/></li>
        <li>Стоимость: <c:out value="${dish.rublePrice}"/> руб. <c:out value="${dish.pennyPrice}"/> коп.</li>
        <form method="post" action="<c:url value='/add_dish_to_order'/>">
            <input type="number" hidden name="id" value="${dish.id}" />
            <input type="number" name="pieces" value="1" />
            <input type="submit" name="addToOrder" value="Добавить в заказ"/>
        </form>
    </c:if>
</div>

src/main/webapp/WEB-INF/view/_dishInfoTable.jsp
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<div class="orderShot">
    <c:if test="${dish.isActive() eq 1}" >
        <img src="${dish.dishImagePath}" alt="картинка блюда" height="100">
        <li>Название: <c:out value="${dish.dishName}"/></li>
        <li>Стоимость: <c:out value="${dish.rublePrice}"/> руб. <c:out value="${dish.pennyPrice}"/> коп.</li>
        <form method="post" action="<c:url value='/add_dish_to_orderTable'/>">
            <input type="number" hidden name="id" value="${dish.id}" />
            <input type="number" name="pieces" value="1" />
            <input class="button17" type="submit" name="addToOrder" value="Добавить в заказ"/>
        </form>
    </c:if>
</div>

src/main/webapp/WEB-INF/view/_menu.jsp
<%--
  Created by IntelliJ IDEA.
  User: Лидия
  Date: 14.09.2021
  Time: 19:53
  To change this template use File | Settings | File Templates.
--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<head><link href="style/style1.css" rel="stylesheet" type="text/css"></head>
<span class="button28" style="color: white">[ Роль:<c:out value="${sessionScope.role}"/>/ Логин:<c:out value="${sessionScope.login}"/> ]</span>
<a class="button28" style="color: red" href="<c:url value='/logout' />">
    Logout
</a>
<a class="button28" href="/">
    MainPage
</a>

src/main/webapp/WEB-INF/view/_order_full.jsp
<%--

--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<div class="orderFull">
    <ul>
        <li>ID заказа: <c:out value="${order.id}"/></li>
        <li>№ стола: <c:out value="${order.tableNumber}"/>, официант: <c:out value="${order.user.login}"/>.</li>
        <li>Время оформления заказа: <c:out value="${order.orderCreateTime}"/>.</li>
        <li>Время начала приготовления: <c:out value="${order.orderStartCookingTimeString}"/>.</li>
        <li><p> Время прошло с момента оформления (вводные в секундомер "${order.orderTimeFromCreating}") <span id="timer" style="color: brown; font-size: 150%; font-weight: bold;">${order.orderTimeFromCreating}</span></p></li>
        <li>Время окончания приготовления: <c:out value="${order.orderEndCookingTime}"/>.</li>
        <li>Время потрачено на приготовление: <c:out value="${order.timeFactCookingString}"/> мин.</li>
        <li>Время на приготовление по нормам: <c:out value="${order.totalCookingTime}"/> мин.</li>
        <li>Время доставки клиенту: <c:out value="${order.orderToClientTimeString}"/>.</li>
        <li>Состав заказа:
            <br>
            <c:forEach var="dish" items="${order.dishes}">
                <ul>
                    <li><c:out value="${dish.key.dishName}"/> - <c:out value="${dish.value}"/> шт.</li>
                    <li>Цена за единицу - <c:out value="${dish.key.rublePrice}"/> руб. <c:out value="${dish.key.pennyPrice}"/> коп.</li>
                </ul>
            </c:forEach></li>
        <li>Стоимость заказа: <c:out value="${order.rublePrice}"/> руб. <c:out value="${order.pennyPrice}"/> коп.</li>
    </ul>
</div>

src/main/webapp/WEB-INF/view/access_denied.jsp
<%--
  Created by IntelliJ IDEA.
  User: Лидия
  Date: 14.09.2021
  Time: 16:52
  To change this template use File | Settings | File Templates.
--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Access Denied</title>
</head>
<body>
<div class="mainMenu"><jsp:include page="_menu.jsp"></jsp:include></div>
<div class="body">
    <h1 style="color:red">Access Denied!!!</h1>
</div>
</body>
</html>

src/main/webapp/WEB-INF/view/admin_look_orders.jsp
<%--
  Created by IntelliJ IDEA.
  User: Лидия
  Date: 12.10.2021
  Time: 23:07
  To change this template use File | Settings | File Templates.
--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<html>
<head>
    <title>Admin orders menu</title>
    <link href="style/style1.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="mainMenu">
    <jsp:include page="_menu.jsp"></jsp:include>
    <a class="button28" href="<c:url value='/updateUsers' />">Обновить пользователей</a>
    <a class="button28" href="<c:url value='/update_dish_price' />">Обновить стоимость блюд</a>
    <a class="button28" href="<c:url value='/admin_look_orders' />">Просмотр текущих заказов</a>
    <a class="button28" href="<c:url value='/admin_statistic_page' />">Статистика</a></div>
</div>
<div class="body">
    <div class="listOrder1">
        <h2> Список заказов в очереди:</h2>
        <c:forEach var="order" items="${requestScope.restaurant.ordersListFromDd}">
            <c:if test="${order.orderstatus eq 'INQUEUE'}" >
            <%@include file="_order_shot.jsp" %>
            </c:if>
        </c:forEach>
    </div>
    <div class="listOrder2">
        <h2> Список заказов готовятся:</h2>
        <c:forEach var="order" items="${requestScope.restaurant.ordersListFromDd}">
            <c:if test="${order.orderstatus eq 'INWORK'}" >
                <%@include file="_order_shot.jsp" %>
            </c:if>
        </c:forEach>
    </div>
    <div class="listOrder3">
        <h2> Список заказов готовы:</h2>
        <c:forEach var="order" items="${requestScope.restaurant.ordersListFromDd}">
            <c:if test="${order.orderstatus eq 'ISREADY'}" >
                <%@include file="_order_shot.jsp" %>
            </c:if>

        </c:forEach>
    </div>
</div>
<div>

</div>
</body>
</html>

src/main/webapp/WEB-INF/view/dishStat.jsp
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<html>
<head>
    <title>Cooks stat</title>
</head>
<body>
<div class="mainMenu">
    <jsp:include page="_menu.jsp"></jsp:include>
    <a class="button28" href="<c:url value='/updateUsers' />">Обновить пользователей</a>
    <a class="button28" href="<c:url value='/update_dish_price' />">Обновить стоимость блюд</a>
    <a class="button28" href="<c:url value='/admin_look_orders' />">Просмотр текущих заказов</a>
    <a class="button28" href="<c:url value='/admin_statistic_page' />">Статистика</a></div>
</div>
<div class="body">
    <h3>Статистика заказа блюд с <c:out value="${sessionScope.start}"/> по <c:out value="${sessionScope.end}"/>:</h3><br>
    <table class="table">
        <tr>
            <td>Блюдо</td>
            <td>ID</td>
            <td>Заказов</td>
            <td>Цена ед.</td>
            <td>Общая стоимость.</td>
        </tr>
        <c:forEach var="val1" items="${requestScope.infoDishList}">
            <tr>
                <td><c:out value="${val1.name}"/></td>
                <td><c:out value="${val1.dish.id}"/></td>
                <td><c:out value="${val1.count}"/></td>
                <td><c:out value="${val1.dish.rublePrice}р. ${val1.dish.pennyPrice}коп."/></td>
                <td><c:out value="${val1.rubCost}р. ${val1.pennyCost}коп."/></td>
            </tr>
        </c:forEach>
    </table>




    <c:forEach var="val" items="${requestScope.infoDishList}">
        <div class="orderShot">
            <c:out value="${val.name}"/> <br>
            <c:out value="${val.count}"/> - шт. заказано,<br>
            <c:out value="${val.cost}"/> - общая стоимость(коп.). <br>
        </div>
    </c:forEach>
</div>
</body>
</html>

src/main/webapp/WEB-INF/view/menu_for_ordering.jsp
<%--
  Created by IntelliJ IDEA.
  User: Лидия
  Date: 16.09.2021
  Time: 22:24
  To change this template use File | Settings | File Templates.
--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Menu for ordering</title>
    <link href="style/style1.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="mainMenu">
    <jsp:include page="_menu.jsp"></jsp:include>
    <a href="<c:url value="/menu_for_ordering"/>" class="button28">Меню для заказа</a>
    <a href="<c:url value="/waiter_ordering"/>" class="button28">Мои заказы</a>
    <a href="<c:url value="/waiter_create_tabletTable"/>"class="button28">Создать планшет для стола</a>
</div>
<div class="rightOrderBar" style="text-align: right;">
    <div class="orderShot">
        <h3>Добавлено для заказа:</h3><br />
        <c:forEach var="dish" items="${sessionScope.order.dishes}">
            <ul>
                <li>Название блюда: <c:out value="${dish.key.dishName}"/></li>
                <li>Количество: <c:out value="${dish.value}"/></li>
            </ul>
            <hr/>
        </c:forEach>
        <h4>Стоимость заказа: <c:out value="${sessionScope.order.rublePrice}"/> руб. <c:out value="${sessionScope.order.pennyPrice}"/> коп.</h4>

        <form method="post" action="<c:url value='/add_order_to_queue'/>">
            <label> <input type="number" name="tableNumber" required></label>№ стола<br>
            <input type="submit" name="addToOrder" value="Заказать"/>
        </form>
    </div>
</div>
<div class="body2">

    <h2>Mеню</h2><br />

    <div >
        <h3>Горячие блюда:</h3><br />
        <c:forEach var="dish" items="${requestScope.menuHot}">
             <%@include file="_dishInfo.jsp" %>
        </c:forEach>
    </div>
    <div >
        <h3>Гарниры:</h3><br />
        <c:forEach var="dish" items="${requestScope.menuGarnish}">
            <c:if test="${dish.isActive() eq 1}" >
                    <%@include file="_dishInfo.jsp" %>

            </c:if>

        </c:forEach>
    </div>
    <div >
        <h3>Салаты:</h3><br />
        <c:forEach var="dish" items="${requestScope.menuSalat}">
            <%@include file="_dishInfo.jsp" %>
        </c:forEach>
    </div>
    <div >
        <h3>Супы:</h3><br />
        <c:forEach var="dish" items="${requestScope.menuSoup}">
            <%@include file="_dishInfo.jsp" %>
        </c:forEach>
    </div>
    <div >
        <h3>Горячие напитки:</h3><br />
        <c:forEach var="dish" items="${requestScope.menuHotDrink}">
            <%@include file="_dishInfo.jsp" %>
        </c:forEach>
    </div>
    <div >
        <h3>Холодные напитки:</h3><br />
        <c:forEach var="dish" items="${requestScope.menuCouldDrink}">
            <%@include file="_dishInfo.jsp" %>
        </c:forEach>
    </div>
</div>
</body>
</html>